package ru.vendetti.bitcoin_summarizer

import androidx.compose.foundation.layout.padding
import androidx.compose.material3.HorizontalDivider
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.ModalDrawerSheet
import androidx.compose.material3.NavigationDrawerItem
import androidx.compose.material3.NavigationDrawerItemColors
import androidx.compose.material3.NavigationDrawerItemDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import ru.vendetti.bitcoin_summarizer.ui.theme.BitcoinSummarizerTheme

@Composable
fun MyHamburgerModal(
    screenKey: ScreenKey
) {
    ModalDrawerSheet(
        drawerContainerColor = MaterialTheme.colorScheme.primary,
        drawerContentColor = MaterialTheme.colorScheme.onPrimary,
    ) {
        Text("Bitcoin summarizer",
            modifier = Modifier.padding(16.dp),
            fontSize = 24.sp)
        HorizontalDivider()
        NavigationDrawerItem(
            colors = NavigationDrawerItemDefaults.colors(
                selectedContainerColor = MaterialTheme.colorScheme.tertiary,
                selectedTextColor = MaterialTheme.colorScheme.onTertiary,
                unselectedTextColor = MaterialTheme.colorScheme.onPrimary,
            ),
            label = { Text("Crypto statistics") },
            selected = (screenKey == ScreenKey.Crypto),
            onClick = {
                if (screenKey != ScreenKey.Crypto) {
                    App.INSTANCE.router.replaceScreen(Screens.Crypto)
                }
            }
        )
        NavigationDrawerItem(
            colors = NavigationDrawerItemDefaults.colors(
                selectedContainerColor = MaterialTheme.colorScheme.tertiary,
                selectedTextColor = MaterialTheme.colorScheme.onTertiary,
                unselectedTextColor = MaterialTheme.colorScheme.onPrimary,
            ),
            label = { Text("About") },
            selected = (screenKey == ScreenKey.About),
            onClick = {
                if (screenKey != ScreenKey.About) {
                    App.INSTANCE.router.replaceScreen(Screens.About)
                }
            }
        )
        /*NavigationDrawerItem(
            colors = NavigationDrawerItemDefaults.colors(
                selectedContainerColor = MaterialTheme.colorScheme.tertiary,
                selectedTextColor = MaterialTheme.colorScheme.onTertiary,
                unselectedTextColor = MaterialTheme.colorScheme.onPrimary,
            ),
            label = { Text("Learn") },
            selected = (screenKey == ScreenKey.Learn),
            onClick = {
                if (screenKey != ScreenKey.Learn) {
                    App.INSTANCE.router.replaceScreen(Screens.Learn)
                }
            }
        )*/
    }
}